# Windows OCI 

Windows inside a Docker container.

View the [*synix* NixOS module on Forgejo](https://git.sid.ovh/sid/synix/tree/master/modules/nixos/windows-oci).

## References

- [dockur on GitHub](https://github.com/dockur/windows)

## Config

```nix
imports = [ inputs.synix.nixosModule.windows-oci ];

services.windows-oci.enable = true;
```

## Setup

You can monitor the installation process with:

```bash
journalctl -u podman-windows.service -f
```

The first-time setup may fail. Rebooting should resolve the issue.

## Usage

Access the VNC web interface at `http://127.0.0.1:8006`. Or connect via RDP at `127.0.0.1`.

TODO: Setup Windows RemoteApp
